hpp-constraints: hpp::constraints::Expression< LhsValue, RhsValue > Class Template Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
hpp::constraints::Expression< LhsValue, RhsValue > Class Template Reference
Symbolic calculus

Base class for classes representing an operation. More...

`#include <hpp/constraints/symbolic-calculus.hh>`

Collaboration diagram for hpp::constraints::Expression< LhsValue, RhsValue >:
[legend]

## Public Types
typedef shared_ptr< Expression< LhsValue, RhsValue > > | Ptr_t
typedef weak_ptr< Expression< LhsValue, RhsValue > > | WkPtr_t

## Public Member Functions
const LhsValue & | lhs () const
const RhsValue & | rhs () const
| Expression ()
| Expression (const Expression &other)
| Expression (const typename Traits< LhsValue >::Ptr_t &lhs, const typename Traits< RhsValue >::Ptr_t &rhs)
void | init (Ptr_t self)

## Static Public Member Functions
static Ptr_t | create ()
static Ptr_t | create (const typename Traits< LhsValue >::Ptr_t &lhs, const typename Traits< RhsValue >::Ptr_t &rhs)

## Public Attributes
Traits< RhsValue >::Ptr_t | rhs_
Traits< LhsValue >::Ptr_t | lhs_
Traits< Expression >::WkPtr_t | self_

## Detailed Description

template<typename LhsValue, typename RhsValue>
class hpp::constraints::Expression< LhsValue, RhsValue >

Base class for classes representing an operation.

## Member Typedef Documentation

## ◆ Ptr_t

template<typename LhsValue , typename RhsValue >

typedef shared_ptr<Expression<LhsValue, RhsValue> > hpp::constraints::Expression< LhsValue, RhsValue >::Ptr_t

## ◆ WkPtr_t

template<typename LhsValue , typename RhsValue >

typedef weak_ptr<Expression<LhsValue, RhsValue> > hpp::constraints::Expression< LhsValue, RhsValue >::WkPtr_t

## Constructor & Destructor Documentation

## ◆ Expression() [1/3]

template<typename LhsValue , typename RhsValue >

hpp::constraints::Expression< LhsValue, RhsValue >::Expression | ( |  | ) |
| inline

## ◆ Expression() [2/3]

template<typename LhsValue , typename RhsValue >

hpp::constraints::Expression< LhsValue, RhsValue >::Expression | ( | const Expression< LhsValue, RhsValue > & | other | ) |
| inline

## ◆ Expression() [3/3]

template<typename LhsValue , typename RhsValue >

hpp::constraints::Expression< LhsValue, RhsValue >::Expression | ( | const typename Traits< LhsValue >::Ptr_t & | lhs,
|  | const typename Traits< RhsValue >::Ptr_t & | rhs )
| inline

## Member Function Documentation

## ◆ create() [1/2]

template<typename LhsValue , typename RhsValue >

static Ptr_t hpp::constraints::Expression< LhsValue, RhsValue >::create | ( |  | ) |
| inline static

## ◆ create() [2/2]

template<typename LhsValue , typename RhsValue >

static Ptr_t hpp::constraints::Expression< LhsValue, RhsValue >::create | ( | const typename Traits< LhsValue >::Ptr_t & | lhs,
|  | const typename Traits< RhsValue >::Ptr_t & | rhs )
| inline static

## ◆ init()

template<typename LhsValue , typename RhsValue >

void hpp::constraints::Expression< LhsValue, RhsValue >::init | ( | Ptr_t | self | ) |
| inline

## ◆ lhs()

template<typename LhsValue , typename RhsValue >

const LhsValue & hpp::constraints::Expression< LhsValue, RhsValue >::lhs | ( |  | ) | const
| inline

## ◆ rhs()

template<typename LhsValue , typename RhsValue >

const RhsValue & hpp::constraints::Expression< LhsValue, RhsValue >::rhs | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ lhs_

template<typename LhsValue , typename RhsValue >

Traits<LhsValue>::Ptr_t hpp::constraints::Expression< LhsValue, RhsValue >::lhs_

## ◆ rhs_

template<typename LhsValue , typename RhsValue >

Traits<RhsValue>::Ptr_t hpp::constraints::Expression< LhsValue, RhsValue >::rhs_

## ◆ self_

template<typename LhsValue , typename RhsValue >

Traits<Expression>::WkPtr_t hpp::constraints::Expression< LhsValue, RhsValue >::self_

The documentation for this class was generated from the following file:

- include/hpp/constraints/symbolic-calculus.hh